Skip to main content
Platform O&M/Cloud Monitoring/Monitoring and Alarm/SNS/ZWatch Operations/Event Subscription Operations
PUTEvent Subscription OperationsSince 3.9.0SynchronousAuth Required

UpdateEventSubscriptionLabel

UpdateEventSubscriptionLabel

Execution Availability

Try It Out

Submit a mock request using the current auth context and example-driven inputs.

Path Parameters

Request Inputs

Path Parameters

  • uuidStringRequired

    The UUID of the event subscription.

Body Fields

  • updateeventsubscriptionlabelObjectRequired

    updateeventsubscriptionlabel request body object.

    • keyStringRequired

      The new name of the label.

    • valueStringRequired

      The new value of the label.

    • operatorStringRequired

      The new operator of the label.

  • systemTagsList

    Optional. The system tags.

  • userTagsList

    Optional. The user tags.

Responses

200 OK

On success, this API returns the following response structure.

  • errorErrorCodeRequired

    The error code. If not null, the operation fails, or vice versa. For more information, see error.

    • codeStringRequired

      The error code, which is a numbered or alphanumeric code that specifies an error. For example, SYS.1000, HOST.1001.

    • descriptionStringRequired

      The brief description of the error.

    • detailsStringRequired

      The details about the error.

    • elaborationStringRequired

      The reserved field. Default value: null.

    • opaqueLinkedHashMapRequired

      The reserved field. Default value: null.

    • causeErrorCodeRequired

      The root error, which is the associated root cause of the current error. If no root error exists, this parameter is null.

  • inventoryEventSubscriptionLabelInventoryRequired

    See inventory.

    • uuidStringRequired

      The resource UUID.

    • keyStringRequired

      The label name.

    • valueStringRequired

      The label key.

    • operatorOperatorRequired

      See operator.

      • opStringRequired

        操作符。

      • nameStringRequired

        The resource name.

      • ordinalintRequired

        No description provided.

Endpoint

PUT/zstack/v1/zwatch/events/subscriptions/labels/{uuid}/actions

/zstack/v1/zwatch/events/subscriptions/labels/{uuid}/actions

Operation ID

UpdateEventSubscriptionLabel

Permalink

Request Example

curl -X PUT 'http://{host}/zstack/v1/zwatch/events/subscriptions/labels/{uuid}/actions' -H 'Authorization: OAuth {sessionUuid}' -H 'Content-Type: application/json;charset=UTF-8' -d '{"updateeventsubscriptionlabel":{"key":"<key>","value":"<value>","operator":"<operator>"},"systemTags":["<systemTags>"],"userTags":["<userTags>"]}'

Response Example

200
{ "inventory": { "uuid": "d937a1c6d9de3f2285b0cb23316624a8", "key": "VMUuid", "operator": "Equal", "value": "19cf33283b484ff6b73a6d98e1d762f5" } }

Change History

This API has no change history records yet.

View all change history